SystemOrganization addCategory: #'Seaside-Environment'!

!WADispatcher class methodsFor: '*seaside-environment' stamp: 'jf 9/13/2008 11:11'!
resetAll
	self deprecatedApi: 'Use WAEnvironment>>reloadApplications.'.
	WAEnvironment reloadApplications! !

WAObject subclass: #WAEnvironment
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Environment'!

!WAEnvironment class methodsFor: 'registration' stamp: 'MAD 9/13/2008 14:34'!
register: aComponent at: aString
	"Use this to programatically register a component as an application."
	"WARenderLoopConfiguration is added by default because most users will use WASession and the Render Loop."
	| application |
	application := WAApplication register: aString.
	application configuration
		addParent: WARenderLoopConfiguration instance.
	application
		preferenceAt: #rootClass put: aComponent.
	^ application! !

!WAEnvironment class methodsFor: 'registration' stamp: 'MAD 9/13/2008 14:37'!
register: aComponent at: aString user: user password: password
	"Like #registerApplicationAt: root: but additionally adds password protection."
	| application |
	application := self registerApplicationAt: aString root: aComponent.
	application configuration addParent: WAAuthConfiguration instance.
	application 
		preferenceAt: #login
		put: user.
	application 
		preferenceAt: #passwordHash
		put: (SeasidePlatformSupport secureHashFor: password).
	^ application! !

!WAEnvironment class methodsFor: 'development' stamp: 'jf 9/13/2008 11:08'!
reloadApplications
	WADispatcher clearDefault.
	WAEntryPoint allSubclasses do: [ :each | each initialize ].
	WAComponent allSubclasses do: [ :each | each initialize ].! !
